Share via


Communication Services - Get

Get the CommunicationService and its properties.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Communication/communicationServices/{communicationServiceName}?api-version=2026-03-18

URI Parameters

Name In Required Type Description
communicationServiceName
path True

string

minLength: 1
maxLength: 63
pattern: ^[-\w]+$

The name of the CommunicationService resource.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

CommunicationServiceResource

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get resource

Sample request

GET https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18

Sample response

{
  "name": "MyCommunicationResource",
  "type": "Microsoft.Communication/CommunicationServices",
  "id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "11111111-1111-1111-1111-111111111111",
    "tenantId": "22222222-2222-2222-2222-222222222222"
  },
  "location": "Global",
  "properties": {
    "dataLocation": "United States",
    "disableLocalAuth": false,
    "hostName": "mycommunicationservice.comms.azure.net",
    "provisioningState": "Running",
    "publicNetworkAccess": "Enabled",
    "version": "0.2.0"
  }
}
{
  "error": {
    "code": "ResourceNotFound",
    "message": "The requested resource was not found"
  }
}

Definitions

Name Description
CommunicationServiceResource

A class representing a CommunicationService resource.

CommunicationServices_ProvisioningState

Provisioning state of the resource.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ManagedServiceIdentity

Managed service identity (system assigned and/or user assigned identities)

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

PublicNetworkAccess

Allow, disallow, or let network security perimeter configuration control public network access to the protected resource. Value is optional but if passed in, it must be 'Enabled', 'Disabled' or 'SecuredByPerimeter'.

systemData

Metadata pertaining to creation and last modification of the resource.

UserAssignedIdentity

User assigned identity properties

CommunicationServiceResource

A class representing a CommunicationService resource.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

identity

ManagedServiceIdentity

The managed service identities assigned to this resource.

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.dataLocation

string

The location where the communication service stores its data at rest.

properties.disableLocalAuth

boolean

Disable local authentication for the CommunicationService.

properties.hostName

string

FQDN of the CommunicationService instance.

properties.immutableResourceId

string

The immutable resource Id of the communication service.

properties.linkedDomains

string[]

List of email Domain resource Ids.

properties.notificationHubId

string

Resource ID of an Azure Notification Hub linked to this resource.

properties.provisioningState

CommunicationServices_ProvisioningState

Provisioning state of the resource.

properties.publicNetworkAccess

PublicNetworkAccess

Allow, disallow, or let network security perimeter configuration control public network access to the protected resource. Value is optional but if passed in, it must be 'Enabled', 'Disabled' or 'SecuredByPerimeter'.

properties.version

string

Version of the CommunicationService resource. Probably you need the same or higher version of client SDKs.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

CommunicationServices_ProvisioningState

Provisioning state of the resource.

Value Description
Unknown

Unknown

Succeeded

Succeeded

Failed

Failed

Canceled

Canceled

Running

Running

Creating

Creating

Updating

Updating

Deleting

Deleting

Moving

Moving

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ManagedServiceIdentity

Managed service identity (system assigned and/or user assigned identities)

Name Type Description
principalId

string (uuid)

The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.

tenantId

string (uuid)

The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.

type

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

userAssignedIdentities

<string,  UserAssignedIdentity>

The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

Value Description
None
SystemAssigned
UserAssigned
SystemAssigned,UserAssigned

PublicNetworkAccess

Allow, disallow, or let network security perimeter configuration control public network access to the protected resource. Value is optional but if passed in, it must be 'Enabled', 'Disabled' or 'SecuredByPerimeter'.

Value Description
Enabled

Allows public network access to the resource

Disabled

Disallows public network access to the resource

SecuredByPerimeter

The network security perimeter configuration rules allow or disallow public network access to the resource. Requires an associated network security perimeter.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

UserAssignedIdentity

User assigned identity properties

Name Type Description
clientId

string (uuid)

The client ID of the assigned identity.

principalId

string (uuid)

The principal ID of the assigned identity.